# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    Alternative implementation of the MSN protocol plug-in for libpurple
Name:       pidgin-msn-pecan
Version:    0.1.4
Release:    alt1_4
License:    GPLv2+
Group:      Networking/Instant messaging
Source0:    https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/msn-pecan/msn-pecan-%{version}.tar.bz2
Patch1:     msn-pecan-0.1.3-use-system-libmspack.patch
URL:        http://code.google.com/p/msn-pecan/
BuildRequires:  pkgconfig(libmspack)
BuildRequires:  pkgconfig(pidgin)
Source44: import.info

%description
This is an alternative implementation of the MSN protocol plug-in for
libpurple.

It's based on the code from 2.2.2 but slowly becoming a completely different
code.

Features include:

 * Support for personal messages
 * Server-side storage for display names (private alias)
 * Partial direct connection support (p2p transfers)
 * Improved network IO (using GIOChannel)
 * Improved error handling
 * Network issues tested with netem
 * GObject usage

%files
%doc README ChangeLog TODO
%{_libdir}/purple-2/libmsn-pecan.so

#---------------------------------------------------------------------
%prep
%setup -q -n msn-pecan-%version
rm -rf ext/libmspack
%patch1 -p1 -b .bundled-libmspack

%build
#gw don't use setup_compile_flags, we want to backport to 2008.1.
export CFLAGS="%optflags"
export LDFLAGS=""
%make_build

%install
install -D -m0755 libmsn-pecan.so %buildroot%{_libdir}/purple-2/libmsn-pecan.so



%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.1.4-alt1_4
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_2
- update by mgaimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_1
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1_10
- new version

